package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.AimTemplate;


/**
*  service接口类
*/
public interface AimTemplateService{

    List<AimTemplate> getAimTemplateList(AimTemplate record);

    List<AimTemplate> getAimTemplateByPage(Page page, AimTemplate record);

    AimTemplate getAimTemplateById(String id);

    AimTemplate getAimTemplate(AimTemplate record);

    boolean createAimTemplate(AimTemplate record);

    boolean deleteAimTemplate(AimTemplate record);

    boolean updateAimTemplate(AimTemplate record);

    AimTemplate getAimTemplateAllInfo(AimTemplate record);
}

